#ifndef _QSCALEREADER_H_
#   define _QSCALEREADER_H_

class QString;
class QTag;

#define QSCALE  "qscale"
#define ENTRY   "entry"
#define NAME    "name"
#define SCALE   "scale"
#define PATTERN "pattern"

class QScaleReader
{
   public:
      static QTag *read(
         const char *fileName,
         int patternLength,
         QString &errMsg
      );

      static QTag *getDefault();

   private:
      QScaleReader();
      ~QScaleReader();
      QScaleReader(const QScaleReader &);
      QScaleReader& operator=(const QScaleReader &);

#ifdef __GNUC__
      friend class PacifyGPlusPlus;
#endif
};

#endif
